Skip to content

POST /api/admin/set_diagnostic_log_filter/v1

Info

This page was generated by extracting information from a JSON Schema data file for the API. It may be missing some information, or otherwise suggest approximate or placeholder values based on information in the schema file; this is due to limitations on how that data is extracted from the underlying Rust code and into the JSON Schema, and then again from there and into these docs.

Changes the diagnostic log filter dynamically. See kumo.set_diagnostic_log_filter for more information on diagnostic log filters.

This API endpoint is used by the kcli set-log-filter command.

Request Body

The request body is required.

The Content-Type header must be set to application/json.

This is an object value, with the following properties:

  • filter - required string. The diagnostic filter spec to use

Examples

{
  "filter": "kumod=trace"
}

Responses

Status 200

Diagnostic level set successfully